package inria.meije.rc.sugarcubes;

public class AddToShell extends Atom
{
    protected JavaStringExpression targetNameExp = null;
    protected JavaInstructionExpression instExp = null;

    public AddToShell(JavaStringExpression n,JavaInstructionExpression i){
        targetNameExp = n; instExp = i;
    }
    public AddToShell(String n,Instruction i){
        this(new JavaStringValue(n),new JavaInstructionValue(i));
    }

    public String toString(){return "add "+instExp+" to "+targetNameExp;}
    protected void action(Context context){ 
        context.addToShell(targetNameExp.evaluate(context.currentLink())
                        ,(Instruction)instExp.evaluate(context.currentLink()));
    }
}
