package inria.meije.rc.sugarcubes;

public class NotConfig extends Config
{
    protected Config c;

    public NotConfig(String eventName){ this(new PosConfig(eventName)); }
    public NotConfig(JavaStringExpression eventName){ this(new PosConfig(eventName)); }
    public NotConfig(Config c){ this.c = c; }

    public Object clone(){
        NotConfig config = (NotConfig)super.clone();
        config.c = (Config)c.clone();
        return config;
    }
    public String toString(){
        return "not "+c;
    }
    public boolean evaluate(Domain domain){
        return ! c.evaluate(domain);
    }
    public boolean fixed(Domain domain){ 
        return c.fixed(domain); 
    }
}
